// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "DataAssets/RRDADataAssetBase.h"
#include "Resources/FGItemDescriptor.h"
#include "RRDADataAssetDSItemFilter.generated.h"

/**
 * 
 */
UCLASS()
class REFINEDRDAPI_API URRDADataAssetDSItemFilter : public URRDADataAssetBase
{
	GENERATED_BODY()

public:
	/* The Building class this item filter should be used on */
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category="ItemFilter")
	TSubclassOf<AFGBuildableFactory> mBuildingClass;

	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category="ItemFilter")
	int mInventoryIndex = 0;

	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category="ItemFilter")
	int mInventorySlotIndex = 0;

	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category="ItemFilter")
	TArray<TSubclassOf<UFGItemDescriptor>> mItemFilterClasses;
};
